program write
  
  !--------------------------------------------------!
  ! An example to write data for Toeplitz HSS solver !
  !--------------------------------------------------!
  implicit none

  integer,parameter :: n=1e4, nrhs=5
  complex(8)        :: cv(n), rv(n), b(n,nrhs)
  complex(8)        :: data(n,nrhs+2)

  ! define the column and row vector, cv(n) and rv(n) respectively,
  ! for the Toeplitz matrix, and right-hand side b(n,nrhs)
  cv=...
  rv=...
  b=...

  ! combine all data in a single array such that the first column
  ! is the column vector, the second column is the row vector and
  ! then right-hand sides at the end
  data(:,1)=cv
  data(:,2)=rv
  data(:,3:nrhs+2)=b
  
  open(1,file='data.dat')
  write(1,*) data
  close(1)
  
end program write

  
